SoftSolzSoftSolz
HomeAPI GuideAPI ReferenceWidget Tester
seo

Acknowledge, resolve or mute an alert.

Acknowledge, resolve or mute an alert.

PATCHhttps://app.softsolz.uk/api/v1/services/seo/sites/{site_id}/alerts/{alert_id}

Recent Requests

Log in to see full request history
TimeStatusUser Agent
Make a request to see history.

Path Params

site_idstringrequired
alert_idstringrequired

Headers

Authorizationstringrequired

Bearer token: `Bearer sk_live_...` (or `sk_test_...` for sandbox). A login token will not work here.

Idempotency-Keystring

Optional idempotency key for safe retries.

Body Params

statusstring

What to do with it.

Response

Response Body

alertobjectThe updated alert.

Request

import { SoftSolz } from '@softsolz/sdk';
const client = new SoftSolz({ apiKey: process.env.SOFTSOLZ_API_KEY });
const result = await client.seo.updateAlert('<site_id>', '<alert_id>', {
"status": "acknowledged"
});
console.log(result);

Credentials

Sent as a Bearer token. Stored only in your browser.

Response · 200

{
"data": {
"alert": {}
}
}